Bug 1198290 (CVE-2022-22624)

Summary: VUL-0: webkit2gtk3: WebKitGTK and WPE WebKit Security Advisory WSA-2022-0004
Product: [Novell Products] SUSE Security Incidents Reporter: Gabriele Sonnu <gabriele.sonnu>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: NEW --- QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P3 - Medium CC: mgorse, smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/328531/
Whiteboard: CVSSv3.1:SUSE:CVE-2022-22624:8.8:(AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H) CVSSv3.1:SUSE:CVE-2022-22628:8.8:(AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H) CVSSv3.1:SUSE:CVE-2022-22629:8.8:(AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H) CVSSv3.1:SUSE:CVE-2022-22637:6.5:(AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:N)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Gabriele Sonnu 2022-04-11 07:25:50 UTC
------------------------------------------------------------------------
WebKitGTK and WPE WebKit Security Advisory                 WSA-2022-0004
------------------------------------------------------------------------

Date reported           : April 08, 2022
Advisory ID             : WSA-2022-0004
WebKitGTK Advisory URL  : https://webkitgtk.org/security/WSA-2022-0004.html
WPE WebKit Advisory URL : https://wpewebkit.org/security/WSA-2022-0004.html
CVE identifiers         : CVE-2022-22624, CVE-2022-22628,
                          CVE-2022-22629, CVE-2022-22637.

Several vulnerabilities were discovered in WebKitGTK and WPE WebKit.

CVE-2022-22624
    Versions affected: WebKitGTK before 2.36.0 and WPE WebKit before 2.34.7
    Credit to Kirin (@Pwnrin) of Tencent Security Xuanwu Lab.
    Impact: Processing maliciously crafted web content may lead to
    arbitrary code execution. Description: A use after free issue was
    addressed with improved memory management.

CVE-2022-22628
    Versions affected: WebKitGTK before 2.36.0 and WPE WebKit before 2.34.7
    Credit to Kirin (@Pwnrin) of Tencent Security Xuanwu Lab.
    Impact: Processing maliciously crafted web content may lead to
    arbitrary code execution. Description: A use after free issue was
    addressed with improved memory management.

CVE-2022-22629
    Versions affected: WebKitGTK before 2.36.0 and WPE WebKit before 2.34.7
    Credit to Jeonghoon Shin at Theori working with Trend Micro Zero Day
    Initiative.
    Impact: Processing maliciously crafted web content may lead to
    arbitrary code execution. Description: A buffer overflow issue was
    addressed with improved memory handling.

CVE-2022-22637
    Versions affected: WebKitGTK before 2.34.4 and WPE WebKit before 2.34.4
    Credit to Tom McKee of Google.
    Impact: A malicious website may cause unexpected cross-origin
    behavior. Description: A logic issue was addressed with improved
    state management.


We recommend updating to the latest stable versions of WebKitGTK and WPE
WebKit. It is the best way to ensure that you are running safe versions
of WebKit. Please check our websites for information about the latest
stable releases.

Further information about WebKitGTK and WPE WebKit security advisories
can be found at: https://webkitgtk.org/security.html or
https://wpewebkit.org/security/.

The WebKitGTK and WPE WebKit team,
April 08, 2022
Comment 4 Swamp Workflow Management 2022-04-27 13:26:37 UTC
SUSE-SU-2022:1431-1: An update that fixes 5 vulnerabilities is now available.

Category: security (important)
Bug References: 1196133,1198290
CVE References: CVE-2022-22594,CVE-2022-22624,CVE-2022-22628,CVE-2022-22629,CVE-2022-22637
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    webkit2gtk3-2.36.0-150200.32.1
openSUSE Leap 15.3 (src):    webkit2gtk3-2.36.0-150200.32.1
SUSE Manager Server 4.1 (src):    webkit2gtk3-2.36.0-150200.32.1
SUSE Manager Retail Branch Server 4.1 (src):    webkit2gtk3-2.36.0-150200.32.1
SUSE Manager Proxy 4.1 (src):    webkit2gtk3-2.36.0-150200.32.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    webkit2gtk3-2.36.0-150200.32.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    webkit2gtk3-2.36.0-150200.32.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    webkit2gtk3-2.36.0-150200.32.1
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    webkit2gtk3-2.36.0-150200.32.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    webkit2gtk3-2.36.0-150200.32.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    webkit2gtk3-2.36.0-150200.32.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    webkit2gtk3-2.36.0-150200.32.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    webkit2gtk3-2.36.0-150200.32.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    webkit2gtk3-2.36.0-150200.32.1
SUSE Enterprise Storage 7 (src):    webkit2gtk3-2.36.0-150200.32.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2022-05-03 19:17:42 UTC
SUSE-SU-2022:1511-1: An update that fixes 5 vulnerabilities is now available.

Category: security (important)
Bug References: 1196133,1198290
CVE References: CVE-2022-22594,CVE-2022-22624,CVE-2022-22628,CVE-2022-22629,CVE-2022-22637
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    webkit2gtk3-2.36.0-150000.3.100.1
SUSE Linux Enterprise Server for SAP 15 (src):    webkit2gtk3-2.36.0-150000.3.100.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    webkit2gtk3-2.36.0-150000.3.100.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    webkit2gtk3-2.36.0-150000.3.100.1
SUSE Linux Enterprise Server 15-LTSS (src):    webkit2gtk3-2.36.0-150000.3.100.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    webkit2gtk3-2.36.0-150000.3.100.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    webkit2gtk3-2.36.0-150000.3.100.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    webkit2gtk3-2.36.0-150000.3.100.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    webkit2gtk3-2.36.0-150000.3.100.1
SUSE Enterprise Storage 6 (src):    webkit2gtk3-2.36.0-150000.3.100.1
SUSE CaaS Platform 4.0 (src):    webkit2gtk3-2.36.0-150000.3.100.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2022-05-16 13:18:52 UTC
SUSE-SU-2022:1677-1: An update that fixes 5 vulnerabilities is now available.

Category: security (important)
Bug References: 1196133,1198290
CVE References: CVE-2022-22594,CVE-2022-22624,CVE-2022-22628,CVE-2022-22629,CVE-2022-22637
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    webkit2gtk3-2.36.0-2.96.1
SUSE OpenStack Cloud Crowbar 8 (src):    webkit2gtk3-2.36.0-2.96.1
SUSE OpenStack Cloud 9 (src):    webkit2gtk3-2.36.0-2.96.1
SUSE OpenStack Cloud 8 (src):    webkit2gtk3-2.36.0-2.96.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    webkit2gtk3-2.36.0-2.96.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    webkit2gtk3-2.36.0-2.96.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    webkit2gtk3-2.36.0-2.96.1
SUSE Linux Enterprise Server 12-SP5 (src):    webkit2gtk3-2.36.0-2.96.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    webkit2gtk3-2.36.0-2.96.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    webkit2gtk3-2.36.0-2.96.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    webkit2gtk3-2.36.0-2.96.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    webkit2gtk3-2.36.0-2.96.1
HPE Helion Openstack 8 (src):    webkit2gtk3-2.36.0-2.96.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.